#####判断题相关


###获得全部判断题记录
GET_ALL_JUDGE_PROBLEMS = SELECT * FROM tb_OnLineExam_JudgeProblem

###获得指定ID的判断题记录
GET_JUDGE_PROBLEM_BY_ID = SELECT * FROM tb_OnLineExam_JudgeProblem WHERE ID = ?

###获得匹配指定关键字的所有判断题记录
GET_JUDGE_PROBLEMS_BY_KEY_WORD = SELECT * FROM tb_OnLineExam_JudgeProblem WHERE Question LIKE ? OR Answer LIKE ?

###获得指定科目ID的所有判断题记录
GET_JUDGE_PROBLEMS_BY_COURSE_ID = SELECT * FROM tb_OnLineExam_JudgeProblem WHERE CourseID = ?

###获得指定科目ID、指定数量的判断题记录
###（无法指定SQL语句中的?参数）

###添加判断题记录
ADD_JUDGE_PROBLEM = INSERT INTO tb_OnLineExam_JudgeProblem (CourseID, Question, Answer, TotalTimes, ErrorTimes, Description) VALUES (?, ?, ?, 0, 0, ?)

###检查是否已存在相同内容的判断题记录
IS_EXISTENT_JUDGE_PROBLEM = SELECT * FROM tb_OnLineExam_JudgeProblem WHERE CourseID = ? AND Question = ? AND Answer = ?

###删除指定ID的判断题记录
DELETE_JUDGE_PROBLEM_BY_ID = DELETE FROM tb_OnLineExam_JudgeProblem WHERE ID = ?

###删除指定科目ID的所有判断题记录
DELETE_JUDGE_PROBLEMS_BY_COURSE_ID = DELETE FROM tb_OnLineExam_JudgeProblem WHERE CourseID = ?